<panel>

	<layout class="arrange_vertical_attachment" alignment="fill" offset="0" gap="0" />
	<layout class="stick_to_sides_attachment" alignment="all" layout_children="true" inset="0" />
	
	<!-- set row property on panel as well, used to pad out unused rows -->
	<integer id="row_count" value="5" />

	<widget class="table" id="upcf" mode="fill_rows, stripe_rows, printable" layout="50,25,-3,-1" auto_size_rows="false" row_height="20">

		<list id="column_properties">
			<record index="0" alignment="left,centre_y" spec="text" />
			<record index="1" alignment="centre,centre_y" spec="text" colour="selection" />
			<record index="2" alignment="left,centre_y" spec="text" />
			<record index="3" alignment="right,centre_y" spec="text" />
		</list>

		<list id="column_display_properties">
			<record id="date" index="0" left="4" sort_disabled="true" />
			<record id="venu" index="1" />
			<record id="oppo" index="2" />
			<record id="comp" index="3" right="4" />
		</list>

		<integer id="row_count" value="5" />

	</widget>

</panel>